### Constructor

# FwupdPlugin ChunkArray new_from_bytes

since: 1.9.6

#### Declaration [src]

    FuChunkArray*
    fu_chunk_array_new_from_bytes (
      GBytes* blob,
      gsize addr_offset,
      gsize page_sz,
      gsize packet_sz
    )

#### Description [src]

Chunks a linear blob of memory into packets, ensuring each packet is less that a specific transfer size.

Available since: 1.9.6

#### Parameters

`blob`

  Type: `GBytes`

  Data.

  The data is owned by the caller of the function.

`addr_offset`

  Type: `gsize`

  The hardware address offset, or `FU_CHUNK_ADDR_OFFSET_NONE`.

`page_sz`

  Type: `gsize`

  The hardware page size, typically `FU_CHUNK_PAGESZ_NONE`.

`packet_sz`

  Type: `gsize`

  The packet size, or 0x0.

#### Return value

Type: `FuChunkArray`

A `FuChunkArray`.

The caller of the function takes ownership of the data, and is responsible for freeing it.